Subject: bug#36341: closed (Re: bug#36341: 27.0.50; Reading from the Gnus dribble file leaves data inconsistent)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 09 Jul 2019 17:51:02 +0000

Your bug report

#36341: 27.0.50; Reading from the Gnus dribble file leaves data inconsistent

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36341: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36341
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36341: 27.0.50; Reading from the Gnus dribble file leaves data inconsistent
From: Eric Abrahamsen <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked], [email-masked], Deus Max <[email-masked]>
Date: Tue, 09 Jul 2019 10:50:43 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Eric Abrahamsen <[email-masked]> writes:

> On 07/08/19 19:37 PM, Lars Ingebrigtsen wrote:
>> Eric Abrahamsen <[email-masked]> writes:
>>
>>> Okay, I get that. But I wonder how important it is that add/delete
>>> operations be so efficient? Does subscription/unsubscription happen so
>>> often that it needs to be fast?
>>
>> It's annoying if, say, killing ten groups takes a long time (and the
>> user may have tens of thousands of subscribed groups)...
>
> Okay, I am happy to look at that part of the code and see if we can do
> the deletions/insertions in bulk, after the group levels have been
> changed. Either way, I don't think this has to be a serious speed
> breaker for Gnus.

And I'm going to close this particular report for now, and go back to
working on completion of the larger patch set.

Subject: 27.0.50; Reading from the Gnus dribble file leaves data inconsistent
From: Lars Ingebrigtsen <[email-masked]>
To: [email-masked]
Date: Sun, 23 Jun 2019 16:30:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

If I have the following in my Gnus dribble file

(gnus-group-set-info '("nntp+news.gmane.org:gwene.org.jwz.blog.comments" 3 ((1 . 25172)) ((unexist) (seen (1 . 1032) (1044 . 5020) (5022 . 11580) (11629 . 15722) (15725 . 19758) (19774 . 25172))) "nntp:news.gmane.org"))

and start Gnus, then the group buffer will then always show the same
unread count as existed in the previous Gnus session.  Entering the
group and marking everything as read has no effect -- the group still
shows the old number of unread articles.

In GNU Emacs 27.0.50 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.22.11)
 of 2019-06-23 built on stories
Repository revision: abf7d0d802728e0ae8e064683eb5fb411bad911e
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.11902000
System Description: Debian GNU/Linux 9 (stretch)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no